For the complete documentation index, see llms.txt. This page is also available as Markdown.

Download image file

get

Downloads an image with optional processing. Set 'zoom=true' to crop to the AOI. Requires 'aoi' parameter when zoom is enabled.

Authorizations
x-api-keystringRequired

API key passed via request header. Either this or the api_key query parameter is required.

Path parameters
imageIdstring · min: 1Required

Image identifier (SID format)

Query parameters
zoomone ofOptional

Crop and zoom the image to the area of interest.

Default: false
booleanOptional
or
stringOptional
highlightone ofOptional

Draw the AOI outline (or marker) on the image.

Default: false
booleanOptional
or
stringOptional
aoistringOptional

Area of interest polygon in WKT format. Required if zoom is true.

markerstringOptional

Point to mark instead of polygon outline. Format: lon,lat.

Pattern: ^-?\d+(?:\.\d+)?,-?\d+(?:\.\d+)?$
paddingnumber · max: 1Optional

Zoom padding as a fraction (0.0 - 1.0). Default is 1.0 (100%).

Responses
200

Image file (JPEG)

image/jpeg
get/developer-api/api/v1/image/{imageId}/download
GET /developer-api/api/v1/image/{imageId}/download HTTP/1.1
Host: world.spexi.com
x-api-key: YOUR_API_KEY
Accept: */*

Last updated